> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取工作流日志

> 获取分页的工作流执行日志，支持筛选选项。



## OpenAPI

````yaml /zh/api-reference/openapi_chatflow.json get /workflows/logs
openapi: 3.0.1
info:
  title: 工作流编排对话型应用 API (对话流 API)
  description: >-
    对话流应用支持会话持久化，允许将之前的聊天记录作为响应的上下文。对话流应用使用 `advanced-chat`
    模式，提供工作流级别的流式事件，用于详细的执行追踪，包括节点开始、完成、迭代和工作流生命周期。
  version: 1.0.0
servers:
  - url: https://{api_base_url}
    description: 工作流编排对话型应用 API 的基础 URL。自部署时，替换为你的 API 基础 URL。
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API 基础 URL 的主机与路径，不含 `https://` 前缀。
security:
  - ApiKeyAuth: []
tags:
  - name: 对话流
    description: 对话流应用的操作，包括对话消息、工作流执行详情和事件流。
  - name: 文件操作
    description: 文件上传和预览操作。
  - name: 终端用户
    description: 终端用户信息相关操作。
  - name: 消息反馈
    description: 用户反馈操作。
  - name: 会话管理
    description: 与管理会话相关的操作。
  - name: 语音与文字转换
    description: 文字转语音和语音转文字操作。
  - name: 应用配置
    description: 获取应用设置和信息的操作。
  - name: 标注管理
    description: 与管理标注直接回复相关的操作。
  - name: 人工介入
    description: 暂停等待人工输入的工作流恢复操作。
paths:
  /workflows/logs:
    get:
      tags:
        - 对话流
      summary: 获取工作流日志
      description: 获取分页的工作流执行日志，支持筛选选项。
      operationId: listChatflowWorkflowLogsZh
      parameters:
        - name: keyword
          in: query
          description: 在日志中搜索的关键词。
          schema:
            type: string
        - name: status
          in: query
          description: 按执行状态筛选。
          schema:
            type: string
            enum:
              - succeeded
              - failed
              - stopped
        - name: page
          in: query
          description: 分页页码。
          schema:
            type: integer
            default: 1
            minimum: 1
            maximum: 99999
        - name: limit
          in: query
          description: 每页条目数。
          schema:
            type: integer
            default: 20
            minimum: 1
            maximum: 100
        - name: created_at__before
          in: query
          description: 筛选在此 ISO 8601 时间戳之前创建的日志。
          schema:
            type: string
            format: date-time
        - name: created_at__after
          in: query
          description: 筛选在此 ISO 8601 时间戳之后创建的日志。
          schema:
            type: string
            format: date-time
        - name: created_by_end_user_session_id
          in: query
          description: 按终端用户会话 ID 筛选。
          schema:
            type: string
        - name: created_by_account
          in: query
          description: 按账户 ID 筛选。
          schema:
            type: string
      responses:
        '200':
          description: 成功获取工作流日志。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowLogsResponse'
              examples:
                workflowLogs:
                  summary: 响应示例
                  value:
                    page: 1
                    limit: 20
                    total: 1
                    has_more: false
                    data:
                      - id: b7e2f8a1-3c4d-5e6f-7890-abcdef123456
                        workflow_run:
                          id: fb47b2e6-5e43-4f90-be01-d5c5a088d156
                          version: '2025-01-16 12:00:00.000000'
                          status: succeeded
                          error: null
                          elapsed_time: 1.23
                          total_tokens: 150
                          total_steps: 3
                          created_at: 1705407629
                          finished_at: 1705407630
                          exceptions_count: 0
                        created_from: service-api
                        created_by_role: end_user
                        created_by_account: null
                        created_by_end_user:
                          id: f1e2d3c4-b5a6-7890-abcd-ef1234567890
                          type: service_api
                          is_anonymous: false
                          session_id: user_chatflow_123
                        created_at: 1705407629
components:
  schemas:
    WorkflowLogsResponse:
      type: object
      properties:
        page:
          type: integer
          description: 当前页码。
        limit:
          type: integer
          description: 每页条目数。
        total:
          type: integer
          description: 日志条目总数。
        has_more:
          type: boolean
          description: 是否有更多可用页面。
        data:
          type: array
          items:
            $ref: '#/components/schemas/WorkflowLogItem'
          description: 工作流日志条目列表。
    WorkflowLogItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: 日志条目 ID。
        workflow_run:
          $ref: '#/components/schemas/WorkflowRunSummary'
        created_from:
          type: string
          description: 工作流运行的来源（例如 `service-api`）。
        created_by_role:
          type: string
          description: 创建者的角色（例如 `end_user`、`account`）。
        created_by_account:
          type: object
          nullable: true
          description: 由管理员用户创建时的账户详情。
          properties:
            id:
              type: string
              format: uuid
              description: 账户 ID。
            name:
              type: string
              description: 账户显示名称。
            email:
              type: string
              description: 账户邮箱地址。
        created_by_end_user:
          $ref: '#/components/schemas/EndUserSummary'
        created_at:
          type: integer
          format: int64
          description: 日志条目创建时的 Unix 时间戳。
        details:
          type: object
          additionalProperties: true
          nullable: true
          description: 日志条目的附加详情。
    WorkflowRunSummary:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: 工作流运行 ID。
        version:
          type: string
          description: 工作流版本标识符。
        status:
          type: string
          description: >-
            工作流执行状态。`running` 表示执行中，`succeeded` 表示成功完成，`failed` 表示执行出错，`stopped`
            表示手动停止，`partial-succeeded` 表示部分节点成功但其他失败，`paused` 表示等待人工介入。
        error:
          type: string
          nullable: true
          description: 工作流失败时的错误消息。
        elapsed_time:
          type: number
          format: float
          description: 总耗时（秒）。
        total_tokens:
          type: integer
          description: 消耗的总令牌数。
        total_steps:
          type: integer
          description: 已执行的工作流总步数。
        created_at:
          type: integer
          format: int64
          description: 工作流运行创建时的 Unix 时间戳。
        finished_at:
          type: integer
          format: int64
          nullable: true
          description: 工作流运行结束时的 Unix 时间戳。
        exceptions_count:
          type: integer
          description: 执行期间发生的异常数量。
        triggered_from:
          type: string
          description: 触发工作流运行的来源。`debugging` 表示从编辑器发起的测试运行，`app` 表示 API 或应用发起的运行。
    EndUserSummary:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: 终端用户 ID。
        type:
          type: string
          description: 终端用户类型。
        is_anonymous:
          type: boolean
          description: 终端用户是否为匿名。
        session_id:
          type: string
          description: 会话标识符。
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key 认证。对于所有 API 请求，请在 `Authorization` HTTP 头中包含您的 API Key，并加上
        `Bearer ` 前缀。示例：`Authorization: Bearer {API_KEY}`。**强烈建议将 API Key
        存储在服务端，不要在客户端共享或存储，以避免 API Key 泄漏导致严重后果。**

````